SAXInputSource (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.util

## Class SAXInputSource

- java.lang.Object
- - org.apache.xerces.xni.parser.XMLInputSource
  - - org.apache.xerces.util.SAXInputSource

-     public final class SAXInputSource
      extends org.apache.xerces.xni.parser.XMLInputSource

  An `XMLInputSource` analogue to `javax.xml.transform.sax.SAXSource`.

  Version:
    $Id: SAXInputSource.java 447241 2006-09-18 05:12:57Z mrglavas $

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.xni.parser.XMLInputSource

      `fBaseSystemId, fByteStream, fCharStream, fEncoding, fPublicId, fSystemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXInputSource()`
    `SAXInputSource(org.xml.sax.InputSource inputSource)`
    `SAXInputSource(org.xml.sax.XMLReader reader, org.xml.sax.InputSource inputSource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.xml.sax.InputSource` | `getInputSource()`
    `org.xml.sax.XMLReader` | `getXMLReader()`
    `void` | `setByteStream(java.io.InputStream byteStream)` Sets the byte stream.
    `void` | `setCharacterStream(java.io.Reader charStream)` Sets the character stream.
    `void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the stream.
    `void` | `setInputSource(org.xml.sax.InputSource inputSource)`
    `void` | `setPublicId(java.lang.String publicId)` Sets the public identifier.
    `void` | `setSystemId(java.lang.String systemId)` Sets the system identifier.
    `void` | `setXMLReader(org.xml.sax.XMLReader reader)`

    - ### Methods inherited from class org.apache.xerces.xni.parser.XMLInputSource

      `getBaseSystemId, getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setBaseSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXInputSource

          public SAXInputSource()

    - #### SAXInputSource

          public SAXInputSource(org.xml.sax.InputSource inputSource)

    - #### SAXInputSource

          public SAXInputSource(org.xml.sax.XMLReader reader,
                        org.xml.sax.InputSource inputSource)

  - ### Method Detail

    - #### setXMLReader

          public void setXMLReader(org.xml.sax.XMLReader reader)

    - #### getXMLReader

          public org.xml.sax.XMLReader getXMLReader()

    - #### setInputSource

          public void setInputSource(org.xml.sax.InputSource inputSource)

    - #### getInputSource

          public org.xml.sax.InputSource getInputSource()

    - #### setPublicId

          public void setPublicId(java.lang.String publicId)

      Sets the public identifier.
      Overrides:
        `setPublicId` in class `org.apache.xerces.xni.parser.XMLInputSource`
      Parameters:
        `publicId` - The new public identifier.

    - #### setSystemId

          public void setSystemId(java.lang.String systemId)

      Sets the system identifier.
      Overrides:
        `setSystemId` in class `org.apache.xerces.xni.parser.XMLInputSource`
      Parameters:
        `systemId` - The new system identifier.

    - #### setByteStream

          public void setByteStream(java.io.InputStream byteStream)

      Sets the byte stream. If the byte stream is not already opened when this object is instantiated, then the code that opens the stream should also set the byte stream on this object. Also, if the encoding is auto-detected, then the encoding should also be set on this object.
      Overrides:
        `setByteStream` in class `org.apache.xerces.xni.parser.XMLInputSource`
      Parameters:
        `byteStream` - The new byte stream.

    - #### setCharacterStream

          public void setCharacterStream(java.io.Reader charStream)

      Sets the character stream. If the character stream is not already opened when this object is instantiated, then the code that opens the stream should also set the character stream on this object. Also, the encoding of the byte stream used by the reader should also be set on this object, if known.
      Overrides:
        `setCharacterStream` in class `org.apache.xerces.xni.parser.XMLInputSource`
      Parameters:
        `charStream` - The new character stream.
      See Also:
        `setEncoding(java.lang.String)`

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

      Sets the encoding of the stream.
      Overrides:
        `setEncoding` in class `org.apache.xerces.xni.parser.XMLInputSource`
      Parameters:
        `encoding` - The new encoding.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.